Mantis Bug Tracker

View Issue Details Jump to Notes ] Wiki ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000503Mana ServerScriptingpublic2013-04-26 21:202013-05-03 10:57
ReporterAblu 
Assigned Tobjorn 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version0.2.0Fixed in Version0.2.0 
Summary0000503: Allow to add functions to the __index metatable of lua classes like entity with lua
DescriptionIt should be possible to add lua functions like

function entity.give_money(entity, amount)

It would also be handy to attach functions to classes like iteminfos in order to provide some world specific functions.
Additional InformationGenereally only needs the table of __index of the classes being published with a name to the global lua scope.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0001805)
bjorn (administrator)
2013-05-03 10:57

Done in commit eb9fdd6852fced4ca9125b93585b95eb319dce18

- Issue History
Date Modified Username Field Change
2013-04-26 21:20 Ablu New Issue
2013-04-27 12:51 bjorn Assigned To => bjorn
2013-04-27 12:51 bjorn Status new => assigned
2013-05-03 10:57 bjorn Note Added: 0001805
2013-05-03 10:57 bjorn Status assigned => resolved
2013-05-03 10:57 bjorn Fixed in Version => 0.2.0
2013-05-03 10:57 bjorn Resolution open => fixed


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker